command_id included in capabilities

RESOLVED FIXED in Firefox 52

Status

defect
RESOLVED FIXED
3 years ago
3 years ago

People

(Reporter: ato, Assigned: ato)

Tracking

Version 3
mozilla53
Points:
---

Firefox Tracking Flags

(firefox51 wontfix, firefox52 fixed, firefox53 fixed)

Details

Attachments

(1 attachment, 2 obsolete attachments)

The command_id field is mistakenly included in the session capabilities.
Assignee: nobody → ato
Status: NEW → ASSIGNED
Comment on attachment 8819999 [details]
Bug 1324467 - Make copy of data to send to listener;

https://reviewboard.mozilla.org/r/99552/#review100018
Attachment #8819999 - Flags: review?(dburns) → review+
Pushed by atolfsen@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/58614b7c99a7
Make copy of data to send to listener; r=automatedtester
https://hg.mozilla.org/mozilla-central/rev/58614b7c99a7
Status: ASSIGNED → RESOLVED
Closed: 3 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla53
Sheriffs: Can you do a test-only uplift of this, please?
Whiteboard: [checkin-needed-aurora][checkin-needed-beta]
needs rebasing for uplift

grafting 380324:58614b7c99a7 "Bug 1324467 - Make copy of data to send to listener; r=automatedtester"
merging testing/marionette/driver.js
merging testing/marionette/listener.js
warning: conflicts while merging testing/marionette/driver.js! (edit, then use 'hg resolve --mark')
abort: unresolved conflicts, can't continue
(use 'hg resolve' and 'hg graft --continue')
Flags: needinfo?(ato)
Attachment #8819999 - Attachment is obsolete: true
Flags: needinfo?(ato)
Rebased for Aurora and Beta.
https://hg.mozilla.org/releases/mozilla-aurora/rev/2805e2b6c22f
Whiteboard: [checkin-needed-aurora][checkin-needed-beta] → [checkin-needed-beta]
backed out from beta and aurora for test failurs like https://treeherder.mozilla.org/logviewer.html#?job_id=4537548&repo=mozilla-aurora
Flags: needinfo?(ato)
Whiteboard: [checkin-needed-beta]
I’m going to cancel this uplift as it requires a long list of other uplifts and modifications to apply.
Flags: needinfo?(ato)
The test failure looks like the result of a faulty rebase to Aurora.  I’m correcting.
Updated rebased patch for Aurora.
Attachment #8820799 - Attachment is obsolete: true
Whiteboard: [checkin-needed-aurora]
Too late for 51. Mark 51 won't fix.
You need to log in before you can comment on or make changes to this bug.